=== debian/changelog ===
specoms (0.0.25-1~bookworm+1) trixie; urgency=medium

  * New psmcbor output file
  * Includes specglobx treatment to replace specfit

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 05 Dec 2025 15:30:13 +0100

specoms (0.0.24-1~bookworm+1) bookworm; urgency=medium

  * Refactoring to keep peptide object

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 16 Jul 2024 13:30:13 +0200

specoms (0.0.23-1~bookworm+1) bookworm; urgency=medium

  * Bump version for Ubuntu launchpad

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 04 Jun 2024 11:22:30 +0200

specoms (0.0.22-1~bookworm+1) bookworm; urgency=medium

  * Fix multithread bug occuring on very small fasta database
  * Renaming DeepProt occurences to SpecOMS
  * Better GUI. New button to generate default parameter filter
  * SpecOMS search parameters written in the mzIdentML output file

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 03 Jun 2024 09:01:30 +0200

specoms (0.0.21-1~bookworm+1) bookworm; urgency=medium

  * Latest proteowizard library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 30 May 2024 13:27:14 +0200

specoms (0.0.20-1~bookworm+1) bookworm; urgency=medium

  * Better mzIdentML writer using PAPPSOms++ API

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 01 Mar 2024 11:48:48 +0100

specoms (0.0.19-1~bookworm+1) bookworm; urgency=medium

  * upgrade mzIdentML export to 1.2

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 30 Jan 2024 14:54:03 +0100

specoms (0.0.18-1~bookworm+1) bookworm; urgency=medium

  * spectree algorithm is now included in PAPPSOms++
  * renaming to specoms

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 22 Dec 2023 15:33:48 +0100

deepprot (0.0.17-1~bookworm+1) bookworm; urgency=medium

  * tests using catch2 framework
  * fix for MXE compilation
  * GUI output all results radio button

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 20 Sep 2023 11:15:16 +0200

deepprot (0.0.16-1~bookworm+1) bookworm; urgency=medium

  * first bookworm version Qt6
  * new CLI parameter to export all PSMs

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 19 Jul 2023 16:28:29 +0200

deepprot (0.0.15-1~bullseye+1) bullseye; urgency=medium

  * fix MXE compilation flag
  * new TimsTOF polynomial solver

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 06 Jan 2023 13:19:46 +0100

deepprot (0.0.14-1~bullseye+1) bullseye; urgency=medium

  * new PAPPSOms++ library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 08 Dec 2022 13:42:51 +0100

deepprot (0.0.13-1~bullseye+1) bullseye; urgency=medium

  * new version fixing timsTOF related bugs

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 30 Nov 2021 16:04:22 +0100

deepprot (0.0.12-3~bullseye+1) bullseye; urgency=medium

  * new bullseye package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sun, 28 Nov 2021 12:00:04 +0100

deepprot (0.0.12-2~buster+1) buster; urgency=medium

  * new PAPPSOms++ library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 08 Jun 2021 10:14:05 +0200

deepprot (0.0.12-1~buster+1) buster; urgency=medium

  * reverse sequence tag is the same than xtandem

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 20 May 2021 11:47:01 +0200

deepprot (0.0.11-1~buster+1) buster; urgency=medium

  * write start and stop position on protein sequence in mzIdentML
    output

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 21 Apr 2021 16:01:53 +0200

deepprot (0.0.10-1~buster+1) buster; urgency=medium

  * complete mzIdentML support

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 28 Jan 2021 13:48:45 +0100

deepprot (0.0.9-1~buster+2) buster; urgency=medium

  * filter name problem fixed

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 27 Nov 2020 11:52:59 +0100

deepprot (0.0.9-1~buster+1) buster; urgency=medium

  * new charge deconvolution filter added

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 27 Nov 2020 11:14:24 +0100

deepprot (0.0.8-2~buster+2) buster; urgency=medium

  * new libpappsoms++ library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 05 Oct 2020 15:37:55 +0200

deepprot (0.0.8-2~buster+1) buster; urgency=medium

  * horrible bug fix

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 24 Sep 2020 11:30:06 +0200

deepprot (0.0.8-1~buster+1) buster; urgency=medium

  * new release with minimal score for zero mass delta

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 22 Sep 2020 13:15:15 +0200

deepprot (0.0.7-2~buster+1) buster; urgency=medium

  * dynamic range filter return

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sun, 30 Aug 2020 08:04:44 +0200

deepprot (0.0.7-1~buster+3) buster; urgency=medium

  * binary version of libpappsomspp required

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 27 Aug 2020 14:24:05 +0200

deepprot (0.0.7-1~buster+2) buster; urgency=medium

  * fix usage of libpappsomspp package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 27 Aug 2020 11:11:00 +0200

deepprot (0.0.7-1~buster+1) buster; urgency=medium

  * new pre MS2 spectrum filters, few bug fix

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 27 Aug 2020 11:05:12 +0200

deepprot (0.0.6-3) buster; urgency=medium

  * new libpappsoms++ library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 23 Jul 2020 09:22:38 +0200

deepprot (0.0.6-2) buster; urgency=medium

  * new PAPPSOms++ library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 19 May 2020 16:48:13 +0200

deepprot (0.0.6-1) buster; urgency=medium

  * new PAPPSOms++ library
  * better GUI

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 18 May 2020 15:33:25 +0200

deepprot (0.0.5-3) buster; urgency=medium

  * new PAPPSOms++ library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 21 Apr 2020 15:51:54 +0200

deepprot (0.0.5-2) buster; urgency=medium

  * important fix in lib PAPPSOms++


