=== debian/control ===
Source: specoms
Maintainer: Olivier Langella <olivier.langella@u-psud.fr>
Uploaders: Olivier Langella <olivier.langella@u-psud.fr>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
    libpappsomspp-core-dev (>= 0.11.8),
    libpappsomspp-gui-dev (>= 0.11.8),
    libodsstream-dev (>= 0.9.12),
    libboost1.88-dev,
    libboost-thread1.88-dev,
    libboost-chrono1.88-dev,
    libboost-container1.88-dev,
    libboost-random1.88-dev,
    libboost-filesystem1.88-dev,
    libboost-iostreams1.88-dev,
    libzstd-dev,
    liblzf-dev,
    libsqlite3-dev,
    qt6-svg-dev,
    qt6-svg-plugins,
    libqcustomplot-dev (>= 2.1.0),
    cmake,
    catch2
Standards-Version: 4.2.1

Package: specoms
Architecture: any
Depends: ${shlibs:Depends},
         libpappsomspp-gui0 (>= 0.9.22),
         ${misc:Depends}
Description: Open Modification Search algorithm for MS/MS peptide identification
 DeepProt is based on SpecOMS published in David et al. 2017.
